# Uses of Class
org.apache.lucene.search.similarities.Distribution

Packages that use Distribution
Package
Description
org.apache.lucene.search.similarities
This package contains the various ranking models that can be used in Lucene.

- ## Uses of Distribution in org.apache.lucene.search.similarities

  Subclasses of Distribution in org.apache.lucene.search.similarities
  Modifier and Type
  Class
  Description
  `class`
  `DistributionLL`
  Log-logistic distribution.
  `class`
  `DistributionSPL`
  The smoothed power-law (SPL) distribution for the information-based framework that is described in the original paper.
  Fields in org.apache.lucene.search.similarities declared as Distribution
  Modifier and Type
  Field
  Description
  `protected final Distribution`
  IBSimilarity.`distribution`
  The probabilistic distribution used to model term occurrence.
  Methods in org.apache.lucene.search.similarities that return Distribution
  Modifier and Type
  Method
  Description
  `Distribution`
  IBSimilarity.`getDistribution()`
  Returns the distribution
  Constructors in org.apache.lucene.search.similarities with parameters of type Distribution
  Modifier
  Constructor
  Description
  ``
  `IBSimilarity(Distribution distribution, Lambda lambda, Normalization normalization)`
  Creates IBSimilarity from the three components and using default discountOverlaps value.
  ``
  `IBSimilarity(Distribution distribution, Lambda lambda, Normalization normalization, boolean discountOverlaps)`
  Creates IBSimilarity from the three components and with the specified discountOverlaps value.